MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001596VCMIOtherpublic2013-11-23 01:172015-08-24 21:31
ReporterPovelitel 
Assigned Tolinuxrocks123 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformPCOSwindowsOS Versionwindows7 sp1
Product Version0.94 
Target VersionFixed in Version0.98d 
Summary0001596: Memory leak every turn
Descriptionhttp://youtu.be/Jv_bVKl4nCQ [^]

Autotesting mode. --autoskip

It is impossible that game was tested constantly.
From time to time there is a crash.
Depending on the map crash time miscellaneous. As well as quantity of consumed memory. And number of days.
In my computer of 4 Gb RAM. There are crash when the client consumes 1,2 gigabytes, happens 2 Gb differently.
I want that heroes were tested constantly, and didn't take off because of it. (can be it it is necessary to nullify after each gigabyte?)

If the map big and is a lot of players, after days before crash there will be much less time.
But more long to wait for it in real time.

Its problem prevents to check 24 hours per day
Additional InformationI played in auto mode 72 months. still happens

client:

19:05:43.671875 TRACE global [e00] - Creating Saves/Autosave_3.vcgm1
19:05:43.671875 TRACE global [e00] - Can't create file: wrong mount point: CONFIG/
19:05:43.671875 TRACE global [e00] - Resource created successfully
19:05:43.671875 INFO global [e00] - Saving lib part of game...
19:05:43.687500 INFO global [e00] - Saving header
19:05:43.687500 INFO global [e00] - Saving options
19:05:43.687500 INFO global [e00] - Saving handlers
19:05:43.765625 INFO global [e00] - Saving gamestate
19:05:44.203125 TRACE global [e00] - Entering void __thiscall CClient::serialize(class COSer &,const int): Saving player 0 interface.
19:05:44.203125 TRACE global [e00] - Leaving void __thiscall CClient::serialize(class COSer &,const int).
19:05:44.203125 TRACE global [e00] - Entering void __thiscall CClient::serialize(class COSer &,const int): Saving player 1 interface.
19:05:44.203125 TRACE ai [e00] - Entering void __thiscall VCAI::saveGame(class COSer &,const int): version '752'.
19:05:44.203125 TRACE ai [e00] - Entering void __thiscall CAdventureAI::saveGame(class COSer &,const int): version '752'.
19:05:44.203125 TRACE ai [e00] - Leaving void __thiscall CAdventureAI::saveGame(class COSer &,const int).
19:05:44.234375 TRACE ai [e00] - Leaving void __thiscall VCAI::saveGame(class COSer &,const int).
19:05:44.234375 TRACE global [e00] - Leaving void __thiscall CClient::serialize(class COSer &,const int).
19:05:44.234375 TRACE network [e00] - Made second apply on cl
19:05:44.234375 TRACE network [e00] - Listening...
19:05:44.250000 TRACE network [e00] - received server message of type struct PackageApplied, data: {CPack: type '94'}
19:05:44.250000 TRACE network [e00] - Made first apply on cl
19:05:44.250000 TRACE network [e00] - Applied on gs
19:05:44.250000 TRACE network [e00] - Made second apply on cl
19:05:44.250000 TRACE network [e00] - Listening...
19:05:44.265625 TRACE network [e00] - received server message of type struct PackageApplied, data: {CPack: type '94'}
19:05:44.265625 TRACE network [e00] - Made first apply on cl
19:05:44.265625 TRACE network [e00] - Applied on gs
19:05:44.265625 TRACE network [e00] - Made second apply on cl
19:05:44.265625 TRACE network [e00] - Listening...
19:05:44.296875 TRACE network [e00] - received server message of type struct YourTurn, data: {CPack: type '100'}
19:05:44.296875 TRACE network [e00] - Made first apply on cl
19:05:44.296875 TRACE network [e00] - Applied on gs
19:05:44.312500 TRACE ai [e00] - Entering void __thiscall VCAI::yourTurn(void).
19:05:44.406250 TRACE ai [e00] - Leaving void __thiscall VCAI::yourTurn(void).
19:05:44.406250 ERROR network [e00] - Lost connection to server, ending listening thread!
19:05:44.437500 ERROR network [e00] - boost::thread_resource_error: Была сделана попытка загрузить программу, имеющую неверный формат
19:05:44.437500 ERROR network [e00] - Something wrong, lost connection while game is still ongoing...
19:05:44.453125 ERROR global [e00] - Disaster happened.
19:05:44.468750 ERROR global [e00] - Reason: 0xe06d7363 - UNKNOWN EXCEPTION at 7d610023:7D,4E2,1B6
19:05:44.468750 ERROR global [e00] - Thread ID: 3584 [3584]
19:05:44.468750 ERROR global [e00] - Crash info will be put in VCMI_client.exe_crashinfo.dmp
19:05:44.656250 TRACE global [c5c] - Del-ing music file music/AITheme2
19:05:44.656250 TRACE global [c5c] - Playing music file Music/Snow.mp3



server:



19:05:43.625000 INFO global [dfc] - Saving to Saves/Autosave_3
19:05:43.625000 TRACE global [dfc] - Creating Saves/Autosave_3.vsgm1
19:05:43.625000 TRACE global [dfc] - Can't create file: wrong mount point: CONFIG/
19:05:43.625000 TRACE global [dfc] - Resource created successfully
19:05:43.625000 INFO global [dfc] - Ordering clients to serialize...
19:05:43.625000 TRACE global [dfc] - Sending to all clients a package of type struct SaveGame
19:05:43.625000 INFO global [dfc] - Saving lib part of game...
19:05:43.625000 INFO global [dfc] - Saving header
19:05:43.625000 INFO global [dfc] - Saving options
19:05:43.625000 INFO global [dfc] - Saving handlers
19:05:43.703125 INFO global [dfc] - Saving gamestate
19:05:44.109375 INFO global [dfc] - Saving server state
19:05:44.109375 INFO global [dfc] - Game has been successfully saved!
19:05:44.109375 INFO global [dfc] - Game has been saved as Saves/Autosave_3
19:05:44.109375 TRACE global [dfc] - Message successfully applied (result=1)!
19:05:44.125000 TRACE global [dfc] - Received client message (request 91123 by player
TagsNo tags attached.
Attached Files? file icon Wood race.h3m [^] (3,559 bytes) 2013-11-23 01:17
? file icon Wood race NO AI.h3m [^] (3,559 bytes) 2014-11-25 11:35

- Relationships

-  Notes
(0004183)
Ivan (developer)
2013-12-19 19:46

Some huge sources of this bug should be fixed now. Fixing *all* possible memory leaks is not really doable at the moment but they should not cause something like this.
(0004213)
Povelitel (updater)
2013-12-27 13:52

Yes it was used well to solve this problem. Very good.

( "не должны вызывать что-то вроде этого." в смысле игра не должна падать? или бесконечно выделяться память?)
(0004214)
Ivan (developer)
2013-12-27 14:11

Не должно быть таких огромных выделений - со временем больше оперативы все равно больше будет использоваться, но не настолько много чтобы приводить к падению.
(0005163)
Povelitel (updater)
2014-11-25 11:34
edited on: 2014-11-25 11:38

0.97

for Windows XP me all right. Check somebodу Windows7 ?

Memory is allocated no more ~ than 850 megabytes, and zeroes, but the game does not crash, and was stable.

I read that Linuxrocks did fix some bugs with memory, so now all is well.

(I will include a full day, let shook his day counter)

(0005804)
Povelitel (updater)
2015-08-24 21:31

Partially fixed. No such large selections.
Nevertheless, when a very long test (about 80 months and+ ), the game crashes. Even without AI.

- Issue History
Date Modified Username Field Change
2013-11-23 01:17 Povelitel New Issue
2013-11-23 01:17 Povelitel File Added: Wood race.h3m
2013-11-23 07:24 Warmonger Priority normal => high
2013-11-23 07:24 Warmonger Severity minor => crash
2013-11-23 07:24 Warmonger Category GUI - Other => Other
2013-11-23 07:24 Warmonger Summary Problems with memory => Memory leak every turn
2013-12-19 19:46 Ivan Note Added: 0004183
2013-12-27 13:52 Povelitel Note Added: 0004213
2013-12-27 14:11 Ivan Note Added: 0004214
2014-11-25 11:34 Povelitel Note Added: 0005163
2014-11-25 11:35 Povelitel File Added: Wood race NO AI.h3m
2014-11-25 11:38 Povelitel Note Edited: 0005163 View Revisions
2015-02-04 18:10 Povelitel Additional Information Updated View Revisions
2015-08-24 21:31 Povelitel Note Added: 0005804
2015-08-24 21:31 Povelitel Status new => closed
2015-08-24 21:31 Povelitel Assigned To => linuxrocks123
2015-08-24 21:31 Povelitel Resolution open => fixed
2015-08-24 21:31 Povelitel Fixed in Version => 0.98d

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean